GDB (xrefs)

Public Attributes | List of all members
stop_reply Struct Reference

## Public Attributes
struct notif_event | base
ptid_t | ptid
struct remote_state * | rs
struct target_waitstatus | ws
gdbarch * | arch

## Detailed Description

Definition at line 6263 of file remote.c.

## Member Data Documentation

## ◆ arch

gdbarch* stop_reply::arch

Definition at line 6278 of file remote.c.

Referenced by process_stop_reply(), and remote_parse_stop_reply().

## ◆ base

struct notif_event stop_reply::base

Definition at line 6265 of file remote.c.

## ◆ ptid

ptid_t stop_reply::ptid

Definition at line 6268 of file remote.c.

Referenced by check_pending_event_prevents_wildcard_vcont_callback(), discard_pending_stop_replies(), kill_child_of_pending_fork(), peek_stop_reply(), process_stop_reply(), push_stop_reply(), queued_stop_reply(), remote_notif_remove_once_on_match(), remote_parse_stop_reply(), remote_wait(), remote_wait_as(), remote_wait_ns(), remove_stop_reply_for_inferior(), and stop_reply_match_ptid_and_ws().

## ◆ rs

struct remote_state* stop_reply::rs

Definition at line 6273 of file remote.c.

Referenced by remote_wait_as(), remote_wait_ns(), and remove_stop_reply_of_remote_state().

## ◆ ws

struct target_waitstatus stop_reply::ws

Definition at line 6275 of file remote.c.

Referenced by check_pending_event_prevents_wildcard_vcont_callback(), is_pending_fork_parent(), kill_child_of_pending_fork(), process_stop_reply(), remote_notif_stop_ack(), remote_parse_stop_reply(), and remove_child_of_pending_fork().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/remote.c